Index: /library/tests/logger_test.cpp
===================================================================
--- /library/tests/logger_test.cpp (revision 552)
+++ /library/tests/logger_test.cpp (revision 552)
@@ -0,0 +1,83 @@
+#include "base/loggers.h"
+#include "test_util.h"
+#include "osutils.h"
+#include "UnitTest++.h"
+#include <string>
+#include <stdexcept>
+#include <sys/stat.h>
+#include <sys/types.h>
+#include <unistd.h>
+
+using namespace bdm;
+
+int get_file_size ( const char *fname ) {
+	struct stat st;
+	if ( stat ( fname, &st ) ) {
+		std::string msg = "can't stat ";
+		msg += fname;
+		throw std::runtime_error ( msg );
+	}
+
+	int sz = static_cast<int>(st.st_size);
+	if ( sz != st.st_size ) {
+		std::string msg = fname;
+		msg += " too big";
+		throw std::runtime_error ( msg );
+	}
+
+	return sz;
+}
+
+TEST ( test_memlog ) {
+	RV th = RV ( "{alog blog }" );
+	RV r = RV ( "{r }", "2" );
+
+	string ls ( "test_log.bin" );
+	remove_all ( ls.c_str() );
+
+	memlog logger ( 100, ls );
+
+	int rid = logger.add ( r, "" );
+	int thid = logger.add ( th, "th" );
+
+	logger.init();
+
+	for ( int i = 0; i < 10; i++ ) {
+		logger.logit ( rid, vec_2 ( ( double ) i, ( double ) ( i + 1 ) ) );
+		logger.logit ( thid, vec_2 ( ( double ) ( 100 - i ), ( double ) ( i - 50 ) ) );
+		logger.step();
+	}
+
+	logger.finalize();
+
+	CHECK_EQUAL ( get_file_size ( "test_log.matrix" ), get_file_size ( ls.c_str() ) );
+}
+
+TEST ( test_dirfilelog ) {
+	RV th = RV ( "{alog blog }" );
+	RV r = RV ( "{r }", "2" );
+
+	string ls ( "exp" );
+	remove_all ( ls.c_str() );
+	makedir ( ls, false );
+	remove_all ( "exp/dirfile" );
+
+	dirfilelog L ( "exp/dirfile", 10 );
+
+	int rid = L.add ( r, "" );
+	int thid = L.add ( th, "th" );
+
+	L.init();
+
+	for ( int i = 0; i < 150; i++ ) {
+		L.logit ( rid, vec_2 ( ( double ) i, ( double ) ( i + 1 ) ) );
+		L.logit ( thid, vec_2 ( ( double ) ( 100 - i ), ( double ) ( i - 50 ) ) );
+		L.step();
+	}
+
+	L.finalize();
+
+	std::string expected ( load_test_file ( "dirfile-format.matrix" ) );
+	std::string actual ( load_test_file ( "exp/dirfile/format" ) );
+	CHECK_EQUAL ( expected, actual );
+}
Index: /library/tests/CMakeLists.txt
===================================================================
--- /library/tests/CMakeLists.txt (revision 525)
+++ /library/tests/CMakeLists.txt (revision 552)
@@ -39,5 +39,5 @@
 
 # using UnitTest++
-add_executable(testsuite datalink_test.cpp egiw_test.cpp emix_test.cpp epdf_test.cpp loggers_test.cpp merger_test.cpp 
+add_executable(testsuite datalink_test.cpp egiw_test.cpp emix_test.cpp epdf_test.cpp logger_test.cpp merger_test.cpp 
 	mpdf_test.cpp rv_test.cpp shared_ptr_test.cpp square_mat_test.cpp testsuite.cpp user_info_test.cpp)
 target_link_libraries(testsuite testutil unittest)
Index: /brary/tests/loggers_test.cpp
===================================================================
--- /library/tests/loggers_test.cpp (revision 548)
+++  (revision )
@@ -1,83 +1,0 @@
-#include "base/loggers.h"
-#include "test_util.h"
-#include "osutils.h"
-#include "UnitTest++.h"
-#include <string>
-#include <stdexcept>
-#include <sys/stat.h>
-#include <sys/types.h>
-#include <unistd.h>
-
-using namespace bdm;
-
-int get_file_size ( const char *fname ) {
-	struct stat st;
-	if ( stat ( fname, &st ) ) {
-		std::string msg = "can't stat ";
-		msg += fname;
-		throw std::runtime_error ( msg );
-	}
-
-	int sz = static_cast<int>(st.st_size);
-	if ( sz != st.st_size ) {
-		std::string msg = fname;
-		msg += " too big";
-		throw std::runtime_error ( msg );
-	}
-
-	return sz;
-}
-
-TEST ( test_memlog ) {
-	RV th = RV ( "{alog blog }" );
-	RV r = RV ( "{r }", "2" );
-
-	string ls ( "test_log.bin" );
-	remove_all ( ls.c_str() );
-
-	memlog logger ( 100, ls );
-
-	int rid = logger.add ( r, "" );
-	int thid = logger.add ( th, "th" );
-
-	logger.init();
-
-	for ( int i = 0; i < 10; i++ ) {
-		logger.logit ( rid, vec_2 ( ( double ) i, ( double ) ( i + 1 ) ) );
-		logger.logit ( thid, vec_2 ( ( double ) ( 100 - i ), ( double ) ( i - 50 ) ) );
-		logger.step();
-	}
-
-	logger.finalize();
-
-	CHECK_EQUAL ( get_file_size ( "test_log.matrix" ), get_file_size ( ls.c_str() ) );
-}
-
-TEST ( test_dirfilelog ) {
-	RV th = RV ( "{alog blog }" );
-	RV r = RV ( "{r }", "2" );
-
-	string ls ( "exp" );
-	remove_all ( ls.c_str() );
-	makedir ( ls, false );
-	remove_all ( "exp/dirfile" );
-
-	dirfilelog L ( "exp/dirfile", 10 );
-
-	int rid = L.add ( r, "" );
-	int thid = L.add ( th, "th" );
-
-	L.init();
-
-	for ( int i = 0; i < 150; i++ ) {
-		L.logit ( rid, vec_2 ( ( double ) i, ( double ) ( i + 1 ) ) );
-		L.logit ( thid, vec_2 ( ( double ) ( 100 - i ), ( double ) ( i - 50 ) ) );
-		L.step();
-	}
-
-	L.finalize();
-
-	std::string expected ( load_test_file ( "dirfile-format.matrix" ) );
-	std::string actual ( load_test_file ( "exp/dirfile/format" ) );
-	CHECK_EQUAL ( expected, actual );
-}