Index: library/doc/html/classbdm_1_1EKFful__unQR-members.html
===================================================================
--- library/doc/html/classbdm_1_1EKFful__unQR-members.html (revision 538)
+++ library/doc/html/classbdm_1_1EKFful__unQR-members.html (revision 590)
@@ -67,51 +67,52 @@
 <div class="contents">
 <h1>bdm::EKFful_unQR Member List</h1>This is the complete list of members for <a class="el" href="classbdm_1_1EKFful__unQR.html">bdm::EKFful_unQR</a>, including all inherited members.<p><table>
+  <tr class="memlist"><td><a class="el" href="classbdm_1_1StateSpace.html#a70f6c8ab37f955f408361150e13c47b">_A</a>()</td><td><a class="el" href="classbdm_1_1StateSpace.html">bdm::StateSpace&lt; fsqmat &gt;</a></td><td><code> [inline]</code></td></tr>
+  <tr class="memlist"><td><a class="el" href="classbdm_1_1StateSpace.html#4272982f976ea9d0ea7c9b7182ed7e3c">_B</a>()</td><td><a class="el" href="classbdm_1_1StateSpace.html">bdm::StateSpace&lt; fsqmat &gt;</a></td><td><code> [inline]</code></td></tr>
+  <tr class="memlist"><td><a class="el" href="classbdm_1_1StateSpace.html#ec4c0923e2b5d0c3e5dfe119ffee511e">_C</a>()</td><td><a class="el" href="classbdm_1_1StateSpace.html">bdm::StateSpace&lt; fsqmat &gt;</a></td><td><code> [inline]</code></td></tr>
   <tr class="memlist"><td><a class="el" href="classbdm_1_1BM.html#40f01563651c1e4fe926189e41a6b8ab">_copy_</a>() const </td><td><a class="el" href="classbdm_1_1BM.html">bdm::BM</a></td><td><code> [inline, virtual]</code></td></tr>
+  <tr class="memlist"><td><a class="el" href="classbdm_1_1StateSpace.html#e0757fcc5e0ebaf0bd95f522bf405f06">_D</a>()</td><td><a class="el" href="classbdm_1_1StateSpace.html">bdm::StateSpace&lt; fsqmat &gt;</a></td><td><code> [inline]</code></td></tr>
+  <tr class="memlist"><td><a class="el" href="classbdm_1_1StateSpace.html#a238842025a0eaade26d5d79a0e9000e">_dimu</a>()</td><td><a class="el" href="classbdm_1_1StateSpace.html">bdm::StateSpace&lt; fsqmat &gt;</a></td><td><code> [inline]</code></td></tr>
+  <tr class="memlist"><td><a class="el" href="classbdm_1_1StateSpace.html#b1972e00d9b9dd22a0f983c7cb0b8b40">_dimx</a>()</td><td><a class="el" href="classbdm_1_1StateSpace.html">bdm::StateSpace&lt; fsqmat &gt;</a></td><td><code> [inline]</code></td></tr>
+  <tr class="memlist"><td><a class="el" href="classbdm_1_1StateSpace.html#f3d83a4b39e05df9fb4246fd6ddc2a60">_dimy</a>()</td><td><a class="el" href="classbdm_1_1StateSpace.html">bdm::StateSpace&lt; fsqmat &gt;</a></td><td><code> [inline]</code></td></tr>
   <tr bgcolor="#f0f0f0"><td><b>_drv</b>() const  (defined in <a class="el" href="classbdm_1_1BM.html">bdm::BM</a>)</td><td><a class="el" href="classbdm_1_1BM.html">bdm::BM</a></td><td><code> [inline]</code></td></tr>
-  <tr bgcolor="#f0f0f0"><td><b>_iRy</b> (defined in <a class="el" href="classbdm_1_1KalmanFull.html">bdm::KalmanFull</a>)</td><td><a class="el" href="classbdm_1_1KalmanFull.html">bdm::KalmanFull</a></td><td><code> [protected]</code></td></tr>
-  <tr bgcolor="#f0f0f0"><td><b>_K</b> (defined in <a class="el" href="classbdm_1_1KalmanFull.html">bdm::KalmanFull</a>)</td><td><a class="el" href="classbdm_1_1KalmanFull.html">bdm::KalmanFull</a></td><td><code> [protected]</code></td></tr>
+  <tr class="memlist"><td><a class="el" href="classbdm_1_1Kalman.html#bd69dfb802465f22dd84d73a180d5c92">_K</a></td><td><a class="el" href="classbdm_1_1Kalman.html">bdm::Kalman&lt; fsqmat &gt;</a></td><td><code> [protected]</code></td></tr>
   <tr bgcolor="#f0f0f0"><td><b>_ll</b>() const  (defined in <a class="el" href="classbdm_1_1BM.html">bdm::BM</a>)</td><td><a class="el" href="classbdm_1_1BM.html">bdm::BM</a></td><td><code> [inline]</code></td></tr>
-  <tr bgcolor="#f0f0f0"><td><b>_Pp</b> (defined in <a class="el" href="classbdm_1_1KalmanFull.html">bdm::KalmanFull</a>)</td><td><a class="el" href="classbdm_1_1KalmanFull.html">bdm::KalmanFull</a></td><td><code> [protected]</code></td></tr>
-  <tr bgcolor="#f0f0f0"><td><b>_R</b>() (defined in <a class="el" href="classbdm_1_1EKFfull.html">bdm::EKFfull</a>)</td><td><a class="el" href="classbdm_1_1EKFfull.html">bdm::EKFfull</a></td><td><code> [inline]</code></td></tr>
+  <tr class="memlist"><td><a class="el" href="classbdm_1_1StateSpace.html#4c908775f27db8d869b93078862a4934">_Q</a>()</td><td><a class="el" href="classbdm_1_1StateSpace.html">bdm::StateSpace&lt; fsqmat &gt;</a></td><td><code> [inline]</code></td></tr>
+  <tr class="memlist"><td><a class="el" href="classbdm_1_1EKFfull.html#d4f57cb8af64b06c530f528c32596d4d">_R</a>()</td><td><a class="el" href="classbdm_1_1EKFfull.html">bdm::EKFfull</a></td><td><code> [inline]</code></td></tr>
   <tr class="memlist"><td><a class="el" href="classbdm_1_1BM.html#b5e8e016be16e4029c789063cb3f3b33">_rvc</a>() const </td><td><a class="el" href="classbdm_1_1BM.html">bdm::BM</a></td><td><code> [inline]</code></td></tr>
-  <tr bgcolor="#f0f0f0"><td><b>_Ry</b> (defined in <a class="el" href="classbdm_1_1KalmanFull.html">bdm::KalmanFull</a>)</td><td><a class="el" href="classbdm_1_1KalmanFull.html">bdm::KalmanFull</a></td><td><code> [protected]</code></td></tr>
-  <tr bgcolor="#f0f0f0"><td><b>A</b> (defined in <a class="el" href="classbdm_1_1KalmanFull.html">bdm::KalmanFull</a>)</td><td><a class="el" href="classbdm_1_1KalmanFull.html">bdm::KalmanFull</a></td><td><code> [protected]</code></td></tr>
-  <tr bgcolor="#f0f0f0"><td><b>B</b> (defined in <a class="el" href="classbdm_1_1KalmanFull.html">bdm::KalmanFull</a>)</td><td><a class="el" href="classbdm_1_1KalmanFull.html">bdm::KalmanFull</a></td><td><code> [protected]</code></td></tr>
+  <tr class="memlist"><td><a class="el" href="classbdm_1_1StateSpace.html#de7d828a8d06cbbd5ac45afeaf9f0c7b">A</a></td><td><a class="el" href="classbdm_1_1StateSpace.html">bdm::StateSpace&lt; fsqmat &gt;</a></td><td><code> [protected]</code></td></tr>
+  <tr class="memlist"><td><a class="el" href="classbdm_1_1StateSpace.html#0cdaa906550290b759a1584d02b3ca51">B</a></td><td><a class="el" href="classbdm_1_1StateSpace.html">bdm::StateSpace&lt; fsqmat &gt;</a></td><td><code> [protected]</code></td></tr>
   <tr class="memlist"><td><a class="el" href="classbdm_1_1EKFfull.html#f149ae8e9ce14d9931a7bb2850736699">bayes</a>(const vec &amp;dt)</td><td><a class="el" href="classbdm_1_1EKFfull.html">bdm::EKFfull</a></td><td><code> [virtual]</code></td></tr>
   <tr class="memlist"><td><a class="el" href="classbdm_1_1BM.html#1dee3fddaf021e62d925289660a707dc">bayesB</a>(const mat &amp;Dt)</td><td><a class="el" href="classbdm_1_1BM.html">bdm::BM</a></td><td><code> [virtual]</code></td></tr>
   <tr bgcolor="#f0f0f0"><td><b>BM</b>() (defined in <a class="el" href="classbdm_1_1BM.html">bdm::BM</a>)</td><td><a class="el" href="classbdm_1_1BM.html">bdm::BM</a></td><td><code> [inline]</code></td></tr>
   <tr bgcolor="#f0f0f0"><td><b>BM</b>(const BM &amp;B) (defined in <a class="el" href="classbdm_1_1BM.html">bdm::BM</a>)</td><td><a class="el" href="classbdm_1_1BM.html">bdm::BM</a></td><td><code> [inline]</code></td></tr>
-  <tr bgcolor="#f0f0f0"><td><b>C</b> (defined in <a class="el" href="classbdm_1_1KalmanFull.html">bdm::KalmanFull</a>)</td><td><a class="el" href="classbdm_1_1KalmanFull.html">bdm::KalmanFull</a></td><td><code> [protected]</code></td></tr>
+  <tr class="memlist"><td><a class="el" href="classbdm_1_1StateSpace.html#c7ec82d2200c956cff6dff559bd32ff9">C</a></td><td><a class="el" href="classbdm_1_1StateSpace.html">bdm::StateSpace&lt; fsqmat &gt;</a></td><td><code> [protected]</code></td></tr>
   <tr class="memlist"><td><a class="el" href="classbdm_1_1EKFful__unQR.html#17a98c06f5efe38e0da0beb96d6f9584">condition</a>(const vec &amp;QR0)</td><td><a class="el" href="classbdm_1_1EKFful__unQR.html">bdm::EKFful_unQR</a></td><td><code> [inline, virtual]</code></td></tr>
-  <tr bgcolor="#f0f0f0"><td><b>D</b> (defined in <a class="el" href="classbdm_1_1KalmanFull.html">bdm::KalmanFull</a>)</td><td><a class="el" href="classbdm_1_1KalmanFull.html">bdm::KalmanFull</a></td><td><code> [protected]</code></td></tr>
-  <tr bgcolor="#f0f0f0"><td><b>dimu</b> (defined in <a class="el" href="classbdm_1_1KalmanFull.html">bdm::KalmanFull</a>)</td><td><a class="el" href="classbdm_1_1KalmanFull.html">bdm::KalmanFull</a></td><td><code> [protected]</code></td></tr>
-  <tr bgcolor="#f0f0f0"><td><b>dimx</b> (defined in <a class="el" href="classbdm_1_1KalmanFull.html">bdm::KalmanFull</a>)</td><td><a class="el" href="classbdm_1_1KalmanFull.html">bdm::KalmanFull</a></td><td><code> [protected]</code></td></tr>
-  <tr bgcolor="#f0f0f0"><td><b>dimy</b> (defined in <a class="el" href="classbdm_1_1KalmanFull.html">bdm::KalmanFull</a>)</td><td><a class="el" href="classbdm_1_1KalmanFull.html">bdm::KalmanFull</a></td><td><code> [protected]</code></td></tr>
+  <tr class="memlist"><td><a class="el" href="classbdm_1_1StateSpace.html#d5769a41b34eb518716120cf04dbc23f">D</a></td><td><a class="el" href="classbdm_1_1StateSpace.html">bdm::StateSpace&lt; fsqmat &gt;</a></td><td><code> [protected]</code></td></tr>
+  <tr class="memlist"><td><a class="el" href="classbdm_1_1StateSpace.html#95bb59ffbfd34c55d03d4d7a2a9b4faf">dimu</a></td><td><a class="el" href="classbdm_1_1StateSpace.html">bdm::StateSpace&lt; fsqmat &gt;</a></td><td><code> [protected]</code></td></tr>
+  <tr class="memlist"><td><a class="el" href="classbdm_1_1StateSpace.html#c3120f1c9cd7c3a0ba9944e4a2381f21">dimx</a></td><td><a class="el" href="classbdm_1_1StateSpace.html">bdm::StateSpace&lt; fsqmat &gt;</a></td><td><code> [protected]</code></td></tr>
+  <tr class="memlist"><td><a class="el" href="classbdm_1_1StateSpace.html#3b784d85ca911866225a79193ae1441f">dimy</a></td><td><a class="el" href="classbdm_1_1StateSpace.html">bdm::StateSpace&lt; fsqmat &gt;</a></td><td><code> [protected]</code></td></tr>
   <tr class="memlist"><td><a class="el" href="classbdm_1_1BM.html#c400357e37d27a4834b2b1d9211009ed">drv</a></td><td><a class="el" href="classbdm_1_1BM.html">bdm::BM</a></td><td><code> [protected]</code></td></tr>
-  <tr bgcolor="#f0f0f0"><td><b>E</b> (defined in <a class="el" href="classbdm_1_1EKFfull.html">bdm::EKFfull</a>)</td><td><a class="el" href="classbdm_1_1EKFfull.html">bdm::EKFfull</a></td><td><code> [protected]</code></td></tr>
   <tr class="memlist"><td><a class="el" href="classbdm_1_1EKFfull.html#6939c345389abb8b2481457b4cfe1165">EKFfull</a>()</td><td><a class="el" href="classbdm_1_1EKFfull.html">bdm::EKFfull</a></td><td></td></tr>
   <tr class="memlist"><td><a class="el" href="classbdm_1_1BM.html#688d7a2aced1e06aa1c468d73a9e5eba">epredictor</a>() const </td><td><a class="el" href="classbdm_1_1BM.html">bdm::BM</a></td><td><code> [inline, virtual]</code></td></tr>
-  <tr bgcolor="#f0f0f0"><td><b>evalll</b> (defined in <a class="el" href="classbdm_1_1KalmanFull.html">bdm::KalmanFull</a>)</td><td><a class="el" href="classbdm_1_1KalmanFull.html">bdm::KalmanFull</a></td><td></td></tr>
-  <tr class="memlist"><td><a class="el" href="classbdm_1_1BM.html#faff0ad12556fe7dc0e2807d4fd938ee">bdm::BM::evalll</a></td><td><a class="el" href="classbdm_1_1BM.html">bdm::BM</a></td><td><code> [protected]</code></td></tr>
-  <tr class="memlist"><td><a class="el" href="classbdm_1_1root.html#0551e3121091c5199bf4413b50522176">from_setting</a>(const Setting &amp;set)</td><td><a class="el" href="classbdm_1_1root.html">bdm::root</a></td><td><code> [inline, virtual]</code></td></tr>
-  <tr class="memlist"><td><a class="el" href="classbdm_1_1KalmanFull.html#ed6b3c996e32ec3d71b78874e36c5074">KalmanFull</a>(mat A, mat B, mat C, mat D, mat R, mat Q, mat P0, vec mu0)</td><td><a class="el" href="classbdm_1_1KalmanFull.html">bdm::KalmanFull</a></td><td></td></tr>
+  <tr class="memlist"><td><a class="el" href="classbdm_1_1Kalman.html#c83599f2541eb01de329f7b0bb35bf43">est</a></td><td><a class="el" href="classbdm_1_1Kalman.html">bdm::Kalman&lt; fsqmat &gt;</a></td><td><code> [protected]</code></td></tr>
+  <tr class="memlist"><td><a class="el" href="classbdm_1_1BM.html#faff0ad12556fe7dc0e2807d4fd938ee">evalll</a></td><td><a class="el" href="classbdm_1_1BM.html">bdm::BM</a></td><td><code> [protected]</code></td></tr>
+  <tr class="memlist"><td><a class="el" href="classbdm_1_1Kalman.html#7fe88fc3471cab1911707bcdb6b4690a">from_setting</a>(const Setting &amp;set)</td><td><a class="el" href="classbdm_1_1Kalman.html">bdm::Kalman&lt; fsqmat &gt;</a></td><td><code> [inline, virtual]</code></td></tr>
+  <tr class="memlist"><td><a class="el" href="classbdm_1_1Kalman.html#ba555c394c429f6831c9bbabfa2c944c">fy</a></td><td><a class="el" href="classbdm_1_1Kalman.html">bdm::Kalman&lt; fsqmat &gt;</a></td><td><code> [protected]</code></td></tr>
+  <tr bgcolor="#f0f0f0"><td><b>Kalman</b>() (defined in <a class="el" href="classbdm_1_1Kalman.html">bdm::Kalman&lt; fsqmat &gt;</a>)</td><td><a class="el" href="classbdm_1_1Kalman.html">bdm::Kalman&lt; fsqmat &gt;</a></td><td><code> [inline]</code></td></tr>
   <tr class="memlist"><td><a class="el" href="classbdm_1_1KalmanFull.html#bdcc98c8b18c1cbdebdf218ae838fd11">KalmanFull</a>()</td><td><a class="el" href="classbdm_1_1KalmanFull.html">bdm::KalmanFull</a></td><td><code> [inline]</code></td></tr>
   <tr class="memlist"><td><a class="el" href="classbdm_1_1BM.html#398b7e7a162cf37d0022d6126495f207">LFlags</a></td><td><a class="el" href="classbdm_1_1BM.html">bdm::BM</a></td><td></td></tr>
   <tr class="memlist"><td><a class="el" href="classbdm_1_1BM.html#109c1a626a69031658e3a44e9e500cca">LIDs</a></td><td><a class="el" href="classbdm_1_1BM.html">bdm::BM</a></td><td></td></tr>
-  <tr bgcolor="#f0f0f0"><td><b>ll</b> (defined in <a class="el" href="classbdm_1_1KalmanFull.html">bdm::KalmanFull</a>)</td><td><a class="el" href="classbdm_1_1KalmanFull.html">bdm::KalmanFull</a></td><td></td></tr>
-  <tr class="memlist"><td><a class="el" href="classbdm_1_1BM.html#4064b6559d962633e4372b12f4cd204a">bdm::BM::ll</a></td><td><a class="el" href="classbdm_1_1BM.html">bdm::BM</a></td><td><code> [protected]</code></td></tr>
+  <tr class="memlist"><td><a class="el" href="classbdm_1_1BM.html#4064b6559d962633e4372b12f4cd204a">ll</a></td><td><a class="el" href="classbdm_1_1BM.html">bdm::BM</a></td><td><code> [protected]</code></td></tr>
   <tr class="memlist"><td><a class="el" href="classbdm_1_1BM.html#2298ca6af9b13a78a4c9e18ab43f1827">log_add</a>(logger &amp;L, const string &amp;name=&quot;&quot;)</td><td><a class="el" href="classbdm_1_1BM.html">bdm::BM</a></td><td><code> [inline, virtual]</code></td></tr>
   <tr bgcolor="#f0f0f0"><td><b>logit</b>(logger &amp;L) (defined in <a class="el" href="classbdm_1_1BM.html">bdm::BM</a>)</td><td><a class="el" href="classbdm_1_1BM.html">bdm::BM</a></td><td><code> [inline, virtual]</code></td></tr>
   <tr class="memlist"><td><a class="el" href="classbdm_1_1BM.html#50257e0c1e5b5c73153ea6e716ad8ae0">logpred</a>(const vec &amp;dt) const </td><td><a class="el" href="classbdm_1_1BM.html">bdm::BM</a></td><td><code> [inline, virtual]</code></td></tr>
   <tr class="memlist"><td><a class="el" href="classbdm_1_1BM.html#0e8ebe61fb14990abe1254bd3dda5fae">logpred_m</a>(const mat &amp;dt) const </td><td><a class="el" href="classbdm_1_1BM.html">bdm::BM</a></td><td><code> [inline]</code></td></tr>
-  <tr class="memlist"><td><a class="el" href="classbdm_1_1KalmanFull.html#2defb75e58892615c5f95fd844f3a666">mu</a></td><td><a class="el" href="classbdm_1_1KalmanFull.html">bdm::KalmanFull</a></td><td></td></tr>
-  <tr class="memlist"><td><a class="el" href="classbdm_1_1KalmanFull.html#86ba216243ed95bb46d80d88775d16af">operator&lt;&lt;</a>(std::ostream &amp;os, const KalmanFull &amp;kf)</td><td><a class="el" href="classbdm_1_1KalmanFull.html">bdm::KalmanFull</a></td><td><code> [friend]</code></td></tr>
-  <tr class="memlist"><td><a class="el" href="classbdm_1_1KalmanFull.html#acacd228e100c3e937de575ad2d7cd9c">P</a></td><td><a class="el" href="classbdm_1_1KalmanFull.html">bdm::KalmanFull</a></td><td></td></tr>
   <tr class="memlist"><td><a class="el" href="classbdm_1_1EKFfull.html#ee5bfb3f09dfa994596c5bc68306f7d6">pfxu</a></td><td><a class="el" href="classbdm_1_1EKFfull.html">bdm::EKFfull</a></td><td><code> [protected]</code></td></tr>
   <tr class="memlist"><td><a class="el" href="classbdm_1_1EKFfull.html#6432c675b1a9b83898b4ff19eab9b45c">phxu</a></td><td><a class="el" href="classbdm_1_1EKFfull.html">bdm::EKFfull</a></td><td><code> [protected]</code></td></tr>
-  <tr class="memlist"><td><a class="el" href="classbdm_1_1EKFfull.html#7e9a69f36a0a0615c9abb806772ef36d">posterior</a>() const </td><td><a class="el" href="classbdm_1_1EKFfull.html">bdm::EKFfull</a></td><td><code> [inline, virtual]</code></td></tr>
+  <tr class="memlist"><td><a class="el" href="classbdm_1_1Kalman.html#8b0c3db41eb292edb20b826832c9b5fa">posterior</a>() const</td><td><a class="el" href="classbdm_1_1Kalman.html">bdm::Kalman&lt; fsqmat &gt;</a></td><td><code> [inline, virtual]</code></td></tr>
   <tr class="memlist"><td><a class="el" href="classbdm_1_1BM.html#598b25e3f3d96a5bc00a5faeb5b3c912">predictor</a>() const </td><td><a class="el" href="classbdm_1_1BM.html">bdm::BM</a></td><td><code> [inline, virtual]</code></td></tr>
-  <tr bgcolor="#f0f0f0"><td><b>Q</b> (defined in <a class="el" href="classbdm_1_1KalmanFull.html">bdm::KalmanFull</a>)</td><td><a class="el" href="classbdm_1_1KalmanFull.html">bdm::KalmanFull</a></td><td><code> [protected]</code></td></tr>
-  <tr bgcolor="#f0f0f0"><td><b>R</b> (defined in <a class="el" href="classbdm_1_1KalmanFull.html">bdm::KalmanFull</a>)</td><td><a class="el" href="classbdm_1_1KalmanFull.html">bdm::KalmanFull</a></td><td><code> [protected]</code></td></tr>
+  <tr class="memlist"><td><a class="el" href="classbdm_1_1StateSpace.html#66248c83836424f1cd7c1b5b9a92cf1f">Q</a></td><td><a class="el" href="classbdm_1_1StateSpace.html">bdm::StateSpace&lt; fsqmat &gt;</a></td><td><code> [protected]</code></td></tr>
+  <tr class="memlist"><td><a class="el" href="classbdm_1_1StateSpace.html#11dd3493d62ec9329860386adb3e6084">R</a></td><td><a class="el" href="classbdm_1_1StateSpace.html">bdm::StateSpace&lt; fsqmat &gt;</a></td><td><code> [protected]</code></td></tr>
   <tr class="memlist"><td><a class="el" href="classbdm_1_1BM.html#de95c590d650b2db423d53992f0906cb">rvc</a></td><td><a class="el" href="classbdm_1_1BM.html">bdm::BM</a></td><td></td></tr>
   <tr bgcolor="#f0f0f0"><td><b>set_drv</b>(const RV &amp;rv) (defined in <a class="el" href="classbdm_1_1BM.html">bdm::BM</a>)</td><td><a class="el" href="classbdm_1_1BM.html">bdm::BM</a></td><td><code> [inline]</code></td></tr>
@@ -119,12 +120,18 @@
   <tr class="memlist"><td><a class="el" href="classbdm_1_1BM.html#adb539fa2585c8a2a91c54e5aebf330e">set_options</a>(const string &amp;opt)</td><td><a class="el" href="classbdm_1_1BM.html">bdm::BM</a></td><td><code> [inline, virtual]</code></td></tr>
   <tr class="memlist"><td><a class="el" href="classbdm_1_1EKFfull.html#8a68f95124a4b01f9ce23225f3c736a4">set_parameters</a>(const shared_ptr&lt; diffbifn &gt; &amp;pfxu, const shared_ptr&lt; diffbifn &gt; &amp;phxu, const mat Q0, const mat R0)</td><td><a class="el" href="classbdm_1_1EKFfull.html">bdm::EKFfull</a></td><td></td></tr>
+  <tr bgcolor="#f0f0f0"><td><b>set_parameters</b>(const mat &amp;A0, const mat &amp;B0, const mat &amp;C0, const mat &amp;D0, const fsqmat &amp;Q0, const fsqmat &amp;R0) (defined in <a class="el" href="classbdm_1_1StateSpace.html">bdm::StateSpace&lt; fsqmat &gt;</a>)</td><td><a class="el" href="classbdm_1_1StateSpace.html">bdm::StateSpace&lt; fsqmat &gt;</a></td><td></td></tr>
   <tr bgcolor="#f0f0f0"><td><b>set_rv</b>(const RV &amp;rv) (defined in <a class="el" href="classbdm_1_1BM.html">bdm::BM</a>)</td><td><a class="el" href="classbdm_1_1BM.html">bdm::BM</a></td><td><code> [inline]</code></td></tr>
-  <tr class="memlist"><td><a class="el" href="classbdm_1_1EKFfull.html#1949a9b1496a855cc7c24e619bc52365">set_statistics</a>(vec mu0, mat P0)</td><td><a class="el" href="classbdm_1_1EKFfull.html">bdm::EKFfull</a></td><td><code> [inline]</code></td></tr>
+  <tr class="memlist"><td><a class="el" href="classbdm_1_1EKFfull.html#44986d667c19bcf7708495a4a5afc841">set_statistics</a>(const vec &amp;mu0, const mat &amp;P0)</td><td><a class="el" href="classbdm_1_1EKFfull.html">bdm::EKFfull</a></td><td><code> [inline]</code></td></tr>
+  <tr bgcolor="#f0f0f0"><td><b>set_statistics</b>(const vec &amp;mu0, const fsqmat &amp;P0) (defined in <a class="el" href="classbdm_1_1Kalman.html">bdm::Kalman&lt; fsqmat &gt;</a>)</td><td><a class="el" href="classbdm_1_1Kalman.html">bdm::Kalman&lt; fsqmat &gt;</a></td><td><code> [inline]</code></td></tr>
+  <tr class="memlist"><td><a class="el" href="classbdm_1_1Kalman.html#4da2fdd01e9b335b133def9814eb0620">shared_posterior</a>()</td><td><a class="el" href="classbdm_1_1Kalman.html">bdm::Kalman&lt; fsqmat &gt;</a></td><td><code> [inline]</code></td></tr>
+  <tr bgcolor="#f0f0f0"><td><b>StateSpace</b>() (defined in <a class="el" href="classbdm_1_1StateSpace.html">bdm::StateSpace&lt; fsqmat &gt;</a>)</td><td><a class="el" href="classbdm_1_1StateSpace.html">bdm::StateSpace&lt; fsqmat &gt;</a></td><td><code> [inline]</code></td></tr>
   <tr class="memlist"><td><a class="el" href="classbdm_1_1root.html#67d954d255ede776eade7334d4895790">to_setting</a>(Setting &amp;set) const </td><td><a class="el" href="classbdm_1_1root.html">bdm::root</a></td><td><code> [inline, virtual]</code></td></tr>
   <tr class="memlist"><td><a class="el" href="classbdm_1_1root.html#af0e6941ba5919cae1bc530e2181b109">to_string</a>()</td><td><a class="el" href="classbdm_1_1root.html">bdm::root</a></td><td><code> [inline, virtual]</code></td></tr>
-  <tr class="memlist"><td><a class="el" href="classbdm_1_1root.html#1c314bd6d6dacb8ba78ea5eb88fd9516">validate</a>()</td><td><a class="el" href="classbdm_1_1root.html">bdm::root</a></td><td><code> [inline, virtual]</code></td></tr>
+  <tr class="memlist"><td><a class="el" href="classbdm_1_1Kalman.html#44d4a8ab05d5311286e1da78b831633e">urv</a></td><td><a class="el" href="classbdm_1_1Kalman.html">bdm::Kalman&lt; fsqmat &gt;</a></td><td><code> [protected]</code></td></tr>
+  <tr bgcolor="#f0f0f0"><td><b>validate</b>() (defined in <a class="el" href="classbdm_1_1Kalman.html">bdm::Kalman&lt; fsqmat &gt;</a>)</td><td><a class="el" href="classbdm_1_1Kalman.html">bdm::Kalman&lt; fsqmat &gt;</a></td><td><code> [inline]</code></td></tr>
+  <tr class="memlist"><td><a class="el" href="classbdm_1_1Kalman.html#aac28e226fe6cbff5a9ae38d8d025d7a">yrv</a></td><td><a class="el" href="classbdm_1_1Kalman.html">bdm::Kalman&lt; fsqmat &gt;</a></td><td><code> [protected]</code></td></tr>
   <tr class="memlist"><td><a class="el" href="classbdm_1_1root.html#0f905a5b03b3656b47eff7344d67ce55">~root</a>()</td><td><a class="el" href="classbdm_1_1root.html">bdm::root</a></td><td><code> [inline, virtual]</code></td></tr>
 </table></div>
-<hr size="1"><address style="text-align: right;"><small>Generated on Sun Aug 16 17:58:19 2009 for mixpp by&nbsp;
+<hr size="1"><address style="text-align: right;"><small>Generated on Sat Aug 29 20:49:46 2009 for mixpp by&nbsp;
 <a href="http://www.doxygen.org/index.html">
 <img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.8 </small></address>