Index: library/doc/html/classbdm_1_1DS.html
===================================================================
--- library/doc/html/classbdm_1_1DS.html (revision 590)
+++ library/doc/html/classbdm_1_1DS.html (revision 591)
@@ -1,9 +1,12 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<html xmlns="http://www.w3.org/1999/xhtml">
+<head>
+<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
 <title>mixpp: bdm::DS Class Reference</title>
-<link href="tabs.css" rel="stylesheet" type="text/css">
-<link href="doxygen.css" rel="stylesheet" type="text/css">
-</head><body>
-<!-- Generated by Doxygen 1.5.8 -->
+<link href="tabs.css" rel="stylesheet" type="text/css"/>
+<link href="doxygen.css" rel="stylesheet" type="text/css"/>
+</head>
+<body>
+<!-- Generated by Doxygen 1.6.1 -->
 <script type="text/javascript">
 <!--
@@ -68,106 +71,85 @@
 </div>
 <div class="contents">
-<h1>bdm::DS Class Reference</h1><!-- doxytag: class="bdm::DS" --><!-- doxytag: inherits="bdm::root" -->Abstract class for discrete-time sources of data.  
-<a href="#_details">More...</a>
-<p>
-<code>#include &lt;<a class="el" href="bdmbase_8h-source.html">bdmbase.h</a>&gt;</code>
-<p>
+<h1>bdm::DS Class Reference</h1><!-- doxytag: class="bdm::DS" --><!-- doxytag: inherits="bdm::root" -->
+<p>Abstract class for discrete-time sources of data.  
+<a href="#_details">More...</a></p>
 
-<p>
-<a href="classbdm_1_1DS-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
-<tr><td></td></tr>
-<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="bedd82e08ae6686b4b1732a122c2201a"></a><!-- doxytag: member="bdm::DS::DS" ref="bedd82e08ae6686b4b1732a122c2201a" args="()" -->
-&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1DS.html#bedd82e08ae6686b4b1732a122c2201a">DS</a> ()</td></tr>
+<p><code>#include &lt;<a class="el" href="bdmbase_8h_source.html">bdmbase.h</a>&gt;</code></p>
 
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">default constructors <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="c1ec862dec7164fee3284c6f9a51b0ba"></a><!-- doxytag: member="bdm::DS::getdata" ref="c1ec862dec7164fee3284c6f9a51b0ba" args="(vec &amp;dt)" -->
-virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1DS.html#c1ec862dec7164fee3284c6f9a51b0ba">getdata</a> (vec &amp;dt)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns full vector of observed data=[output, input]. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="a0bf451c7fea73ff4150ff9e83da4832"></a><!-- doxytag: member="bdm::DS::getdata" ref="a0bf451c7fea73ff4150ff9e83da4832" args="(vec &amp;dt, const ivec &amp;indeces)" -->
-virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1DS.html#a0bf451c7fea73ff4150ff9e83da4832">getdata</a> (vec &amp;dt, const ivec &amp;indeces)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns data records at indeces. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="f5baeee8528e5e4c5c7a344b2e3f192a"></a><!-- doxytag: member="bdm::DS::write" ref="f5baeee8528e5e4c5c7a344b2e3f192a" args="(vec &amp;ut)" -->
-virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1DS.html#f5baeee8528e5e4c5c7a344b2e3f192a">write</a> (vec &amp;ut)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Accepts action variable and schedule it for application. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="6bced13f84f6bf04449728817e049e1d"></a><!-- doxytag: member="bdm::DS::write" ref="6bced13f84f6bf04449728817e049e1d" args="(vec &amp;ut, const ivec &amp;indeces)" -->
-virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1DS.html#6bced13f84f6bf04449728817e049e1d">write</a> (vec &amp;ut, const ivec &amp;indeces)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Accepts action variables at specific indeces. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="9a14c64d881e838ddc3a5617ee8a973b"></a><!-- doxytag: member="bdm::DS::step" ref="9a14c64d881e838ddc3a5617ee8a973b" args="()=0" -->
-virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1DS.html#9a14c64d881e838ddc3a5617ee8a973b">step</a> ()=0</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Moves from <img class="formulaInl" alt="$ t $" src="form_12.png"> to <img class="formulaInl" alt="$ t+1 $" src="form_13.png">, i.e. perfroms the actions and reads response of the system. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="3c9e417d85052396fe74c164857ee67e"></a><!-- doxytag: member="bdm::DS::log_add" ref="3c9e417d85052396fe74c164857ee67e" args="(logger &amp;L)" -->
-virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1DS.html#3c9e417d85052396fe74c164857ee67e">log_add</a> (<a class="el" href="classbdm_1_1logger.html">logger</a> &amp;L)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Register <a class="el" href="classbdm_1_1DS.html" title="Abstract class for discrete-time sources of data.">DS</a> for logging into <a class="el" href="classbdm_1_1logger.html" title="Class for storing results (and semi-results) of an experiment.">logger</a> L. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="e03d2c93cddd5c3a03107ddd3ae999cf"></a><!-- doxytag: member="bdm::DS::logit" ref="e03d2c93cddd5c3a03107ddd3ae999cf" args="(logger &amp;L)" -->
-virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1DS.html#e03d2c93cddd5c3a03107ddd3ae999cf">logit</a> (<a class="el" href="classbdm_1_1logger.html">logger</a> &amp;L)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Register <a class="el" href="classbdm_1_1DS.html" title="Abstract class for discrete-time sources of data.">DS</a> for logging into <a class="el" href="classbdm_1_1logger.html" title="Class for storing results (and semi-results) of an experiment.">logger</a> L. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="ed2113851294ed96abe60fc3f05aa660"></a><!-- doxytag: member="bdm::DS::_drv" ref="ed2113851294ed96abe60fc3f05aa660" args="() const " -->
-virtual <a class="el" href="classbdm_1_1RV.html">RV</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1DS.html#ed2113851294ed96abe60fc3f05aa660">_drv</a> () const </td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">access function <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="a6a9a375da64c82fc227bda3418a1f33"></a><!-- doxytag: member="bdm::DS::_urv" ref="a6a9a375da64c82fc227bda3418a1f33" args="() const " -->
-const <a class="el" href="classbdm_1_1RV.html">RV</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1DS.html#a6a9a375da64c82fc227bda3418a1f33">_urv</a> () const </td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">access function <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="821297dfd839d68691324f024e57252f"></a><!-- doxytag: member="bdm::DS::set_drv" ref="821297dfd839d68691324f024e57252f" args="(const RV &amp;drv, const RV &amp;urv)" -->
-virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1DS.html#821297dfd839d68691324f024e57252f">set_drv</a> (const <a class="el" href="classbdm_1_1RV.html">RV</a> &amp;drv, const <a class="el" href="classbdm_1_1RV.html">RV</a> &amp;urv)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">set random rvariables <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="af0e6941ba5919cae1bc530e2181b109"></a><!-- doxytag: member="bdm::DS::to_string" ref="af0e6941ba5919cae1bc530e2181b109" args="()" -->
-virtual string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1root.html#af0e6941ba5919cae1bc530e2181b109">to_string</a> ()</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">This method returns a basic info about the current instance. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="0551e3121091c5199bf4413b50522176"></a><!-- doxytag: member="bdm::DS::from_setting" ref="0551e3121091c5199bf4413b50522176" args="(const Setting &amp;set)" -->
-virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1root.html#0551e3121091c5199bf4413b50522176">from_setting</a> (const Setting &amp;set)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">This method arrange instance properties according the data stored in the Setting structure. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="67d954d255ede776eade7334d4895790"></a><!-- doxytag: member="bdm::DS::to_setting" ref="67d954d255ede776eade7334d4895790" args="(Setting &amp;set) const " -->
-virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1root.html#67d954d255ede776eade7334d4895790">to_setting</a> (Setting &amp;set) const </td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">This method save all the instance properties into the Setting structure. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="1c314bd6d6dacb8ba78ea5eb88fd9516"></a><!-- doxytag: member="bdm::DS::validate" ref="1c314bd6d6dacb8ba78ea5eb88fd9516" args="()" -->
-virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1root.html#1c314bd6d6dacb8ba78ea5eb88fd9516">validate</a> ()</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">This method TODO. <br></td></tr>
-<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="f96cae44624e79638a91ec4f2c7c81a9"></a><!-- doxytag: member="bdm::DS::dtsize" ref="f96cae44624e79638a91ec4f2c7c81a9" args="" -->
+<p><a href="classbdm_1_1DS-members.html">List of all members.</a></p>
+<table border="0" cellpadding="0" cellspacing="0">
+<tr><td colspan="2"><h2>Public Member Functions</h2></td></tr>
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abedd82e08ae6686b4b1732a122c2201a"></a><!-- doxytag: member="bdm::DS::DS" ref="abedd82e08ae6686b4b1732a122c2201a" args="()" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1DS.html#abedd82e08ae6686b4b1732a122c2201a">DS</a> ()</td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">default constructors <br/></td></tr>
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac1ec862dec7164fee3284c6f9a51b0ba"></a><!-- doxytag: member="bdm::DS::getdata" ref="ac1ec862dec7164fee3284c6f9a51b0ba" args="(vec &amp;dt)" -->
+virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1DS.html#ac1ec862dec7164fee3284c6f9a51b0ba">getdata</a> (vec &amp;dt)</td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns full vector of observed data=[output, input]. <br/></td></tr>
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa0bf451c7fea73ff4150ff9e83da4832"></a><!-- doxytag: member="bdm::DS::getdata" ref="aa0bf451c7fea73ff4150ff9e83da4832" args="(vec &amp;dt, const ivec &amp;indeces)" -->
+virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1DS.html#aa0bf451c7fea73ff4150ff9e83da4832">getdata</a> (vec &amp;dt, const ivec &amp;indeces)</td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns data records at indeces. <br/></td></tr>
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af5baeee8528e5e4c5c7a344b2e3f192a"></a><!-- doxytag: member="bdm::DS::write" ref="af5baeee8528e5e4c5c7a344b2e3f192a" args="(vec &amp;ut)" -->
+virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1DS.html#af5baeee8528e5e4c5c7a344b2e3f192a">write</a> (vec &amp;ut)</td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Accepts action variable and schedule it for application. <br/></td></tr>
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6bced13f84f6bf04449728817e049e1d"></a><!-- doxytag: member="bdm::DS::write" ref="a6bced13f84f6bf04449728817e049e1d" args="(vec &amp;ut, const ivec &amp;indeces)" -->
+virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1DS.html#a6bced13f84f6bf04449728817e049e1d">write</a> (vec &amp;ut, const ivec &amp;indeces)</td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Accepts action variables at specific indeces. <br/></td></tr>
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9a14c64d881e838ddc3a5617ee8a973b"></a><!-- doxytag: member="bdm::DS::step" ref="a9a14c64d881e838ddc3a5617ee8a973b" args="()=0" -->
+virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1DS.html#a9a14c64d881e838ddc3a5617ee8a973b">step</a> ()=0</td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Moves from <img class="formulaInl" alt="$ t $" src="form_12.png"/> to <img class="formulaInl" alt="$ t+1 $" src="form_13.png"/>, i.e. perfroms the actions and reads response of the system. <br/></td></tr>
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3c9e417d85052396fe74c164857ee67e"></a><!-- doxytag: member="bdm::DS::log_add" ref="a3c9e417d85052396fe74c164857ee67e" args="(logger &amp;L)" -->
+virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1DS.html#a3c9e417d85052396fe74c164857ee67e">log_add</a> (<a class="el" href="classbdm_1_1logger.html">logger</a> &amp;L)</td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Register <a class="el" href="classbdm_1_1DS.html" title="Abstract class for discrete-time sources of data.">DS</a> for logging into <a class="el" href="classbdm_1_1logger.html" title="Class for storing results (and semi-results) of an experiment.">logger</a> L. <br/></td></tr>
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae03d2c93cddd5c3a03107ddd3ae999cf"></a><!-- doxytag: member="bdm::DS::logit" ref="ae03d2c93cddd5c3a03107ddd3ae999cf" args="(logger &amp;L)" -->
+virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1DS.html#ae03d2c93cddd5c3a03107ddd3ae999cf">logit</a> (<a class="el" href="classbdm_1_1logger.html">logger</a> &amp;L)</td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Register <a class="el" href="classbdm_1_1DS.html" title="Abstract class for discrete-time sources of data.">DS</a> for logging into <a class="el" href="classbdm_1_1logger.html" title="Class for storing results (and semi-results) of an experiment.">logger</a> L. <br/></td></tr>
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aed2113851294ed96abe60fc3f05aa660"></a><!-- doxytag: member="bdm::DS::_drv" ref="aed2113851294ed96abe60fc3f05aa660" args="() const " -->
+virtual <a class="el" href="classbdm_1_1RV.html">RV</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1DS.html#aed2113851294ed96abe60fc3f05aa660">_drv</a> () const </td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">access function <br/></td></tr>
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa6a9a375da64c82fc227bda3418a1f33"></a><!-- doxytag: member="bdm::DS::_urv" ref="aa6a9a375da64c82fc227bda3418a1f33" args="() const " -->
+const <a class="el" href="classbdm_1_1RV.html">RV</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1DS.html#aa6a9a375da64c82fc227bda3418a1f33">_urv</a> () const </td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">access function <br/></td></tr>
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a821297dfd839d68691324f024e57252f"></a><!-- doxytag: member="bdm::DS::set_drv" ref="a821297dfd839d68691324f024e57252f" args="(const RV &amp;drv, const RV &amp;urv)" -->
+virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1DS.html#a821297dfd839d68691324f024e57252f">set_drv</a> (const <a class="el" href="classbdm_1_1RV.html">RV</a> &amp;drv, const <a class="el" href="classbdm_1_1RV.html">RV</a> &amp;urv)</td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">set random rvariables <br/></td></tr>
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aaf0e6941ba5919cae1bc530e2181b109"></a><!-- doxytag: member="bdm::DS::to_string" ref="aaf0e6941ba5919cae1bc530e2181b109" args="()" -->
+virtual string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1root.html#aaf0e6941ba5919cae1bc530e2181b109">to_string</a> ()</td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">This method returns a basic info about the current instance. <br/></td></tr>
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0551e3121091c5199bf4413b50522176"></a><!-- doxytag: member="bdm::DS::from_setting" ref="a0551e3121091c5199bf4413b50522176" args="(const Setting &amp;set)" -->
+virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1root.html#a0551e3121091c5199bf4413b50522176">from_setting</a> (const Setting &amp;set)</td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">This method arrange instance properties according the data stored in the Setting structure. <br/></td></tr>
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a67d954d255ede776eade7334d4895790"></a><!-- doxytag: member="bdm::DS::to_setting" ref="a67d954d255ede776eade7334d4895790" args="(Setting &amp;set) const " -->
+virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1root.html#a67d954d255ede776eade7334d4895790">to_setting</a> (Setting &amp;set) const </td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">This method save all the instance properties into the Setting structure. <br/></td></tr>
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1c314bd6d6dacb8ba78ea5eb88fd9516"></a><!-- doxytag: member="bdm::DS::validate" ref="a1c314bd6d6dacb8ba78ea5eb88fd9516" args="()" -->
+virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1root.html#a1c314bd6d6dacb8ba78ea5eb88fd9516">validate</a> ()</td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">This method TODO. <br/></td></tr>
+<tr><td colspan="2"><h2>Protected Attributes</h2></td></tr>
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af96cae44624e79638a91ec4f2c7c81a9"></a><!-- doxytag: member="bdm::DS::dtsize" ref="af96cae44624e79638a91ec4f2c7c81a9" args="" -->
 int&nbsp;</td><td class="memItemRight" valign="bottom"><b>dtsize</b></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="d7467046a0bd05bc992cc5e1bdedb983"></a><!-- doxytag: member="bdm::DS::utsize" ref="d7467046a0bd05bc992cc5e1bdedb983" args="" -->
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad7467046a0bd05bc992cc5e1bdedb983"></a><!-- doxytag: member="bdm::DS::utsize" ref="ad7467046a0bd05bc992cc5e1bdedb983" args="" -->
 int&nbsp;</td><td class="memItemRight" valign="bottom"><b>utsize</b></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="d8db125ac35f3b8eeb773fc9a4cb45ec"></a><!-- doxytag: member="bdm::DS::Drv" ref="d8db125ac35f3b8eeb773fc9a4cb45ec" args="" -->
-<a class="el" href="classbdm_1_1RV.html">RV</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1DS.html#d8db125ac35f3b8eeb773fc9a4cb45ec">Drv</a></td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Description of data returned by <code><a class="el" href="classbdm_1_1DS.html#c1ec862dec7164fee3284c6f9a51b0ba" title="Returns full vector of observed data=[output, input].">getdata()</a></code>. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="9ac5970128fd39f4f6226723cd1de702"></a><!-- doxytag: member="bdm::DS::Urv" ref="9ac5970128fd39f4f6226723cd1de702" args="" -->
-<a class="el" href="classbdm_1_1RV.html">RV</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1DS.html#9ac5970128fd39f4f6226723cd1de702">Urv</a></td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Description of data witten by by <code><a class="el" href="classbdm_1_1DS.html#f5baeee8528e5e4c5c7a344b2e3f192a" title="Accepts action variable and schedule it for application.">write()</a></code>. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="b4b7bdb9d98a11ab587aa0ad803bb867"></a><!-- doxytag: member="bdm::DS::L_dt" ref="b4b7bdb9d98a11ab587aa0ad803bb867" args="" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1DS.html#b4b7bdb9d98a11ab587aa0ad803bb867">L_dt</a></td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Remember its own index in Logger L. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="b56b74ec21485846ccfad461f33b0e7a"></a><!-- doxytag: member="bdm::DS::L_ut" ref="b56b74ec21485846ccfad461f33b0e7a" args="" -->
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad8db125ac35f3b8eeb773fc9a4cb45ec"></a><!-- doxytag: member="bdm::DS::Drv" ref="ad8db125ac35f3b8eeb773fc9a4cb45ec" args="" -->
+<a class="el" href="classbdm_1_1RV.html">RV</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1DS.html#ad8db125ac35f3b8eeb773fc9a4cb45ec">Drv</a></td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Description of data returned by <code><a class="el" href="classbdm_1_1DS.html#ac1ec862dec7164fee3284c6f9a51b0ba" title="Returns full vector of observed data=[output, input].">getdata()</a></code>. <br/></td></tr>
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9ac5970128fd39f4f6226723cd1de702"></a><!-- doxytag: member="bdm::DS::Urv" ref="a9ac5970128fd39f4f6226723cd1de702" args="" -->
+<a class="el" href="classbdm_1_1RV.html">RV</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1DS.html#a9ac5970128fd39f4f6226723cd1de702">Urv</a></td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Description of data witten by by <code><a class="el" href="classbdm_1_1DS.html#af5baeee8528e5e4c5c7a344b2e3f192a" title="Accepts action variable and schedule it for application.">write()</a></code>. <br/></td></tr>
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab4b7bdb9d98a11ab587aa0ad803bb867"></a><!-- doxytag: member="bdm::DS::L_dt" ref="ab4b7bdb9d98a11ab587aa0ad803bb867" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1DS.html#ab4b7bdb9d98a11ab587aa0ad803bb867">L_dt</a></td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Remember its own index in Logger L. <br/></td></tr>
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab56b74ec21485846ccfad461f33b0e7a"></a><!-- doxytag: member="bdm::DS::L_ut" ref="ab56b74ec21485846ccfad461f33b0e7a" args="" -->
 int&nbsp;</td><td class="memItemRight" valign="bottom"><b>L_ut</b></td></tr>
-
 </table>
-<hr><a name="_details"></a><h2>Detailed Description</h2>
-Abstract class for discrete-time sources of data. 
-<p>
-The class abstracts operations of: (i) data aquisition, (ii) data-preprocessing, (iii) scaling of data, and (iv) data resampling from the task of estimation and control. Moreover, for controlled systems, it is able to receive the desired control action and perform it in the next step. (Or as soon as possible). <hr>The documentation for this class was generated from the following file:<ul>
-<li><a class="el" href="bdmbase_8h-source.html">bdmbase.h</a></ul>
+<hr/><a name="_details"></a><h2>Detailed Description</h2>
+<p>Abstract class for discrete-time sources of data. </p>
+<p>The class abstracts operations of: (i) data aquisition, (ii) data-preprocessing, (iii) scaling of data, and (iv) data resampling from the task of estimation and control. Moreover, for controlled systems, it is able to receive the desired control action and perform it in the next step. (Or as soon as possible). </p>
+<hr/>The documentation for this class was generated from the following file:<ul>
+<li><a class="el" href="bdmbase_8h_source.html">bdmbase.h</a></li>
+</ul>
 </div>
-<hr size="1"><address style="text-align: right;"><small>Generated on Sat Aug 29 20:49:46 2009 for mixpp by&nbsp;
+<hr size="1"/><address style="text-align: right;"><small>Generated on Sun Aug 30 22:10:50 2009 for mixpp by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.8 </small></address>
+<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
 </body>
 </html>